@import 'settings';
@import 'typography';
@import 'mixins';

.ProjectDetail {
    &__intro {
        position: relative;
        width: 100%;
    }

    &__title {
        position: fixed;
        z-index: $zindex-fixed;
        bottom: 0;
        left: 0;
        padding: 20px 30px;
        color: $white;
        text-align: left;

        h2,
        h3 {
            margin: 0;

            &.highlight {
                color: $white;
            }
        }
    }

    &__main {
        position: relative;
        padding-bottom: 30px;
    }

    &__close {
        position: fixed;
        z-index: $zindex-modal;
        top: 0;
        right: 0;

        @media #{$mobile-only} {
            display: none;
        }
    }


    &__content-item {
        position: relative;

        &--text {
            display: block;
            max-width: 650px;
            padding: 30px;
            text-align: center;
            margin: 0 auto;

            .Markup *:last-child {
                margin-bottom: 0;
            }
        }

        &--mediagroup {
            position: relative;
            max-width: $desktop-width;
            padding: 0 15px;
            margin: 0 auto;
            display: flex;
            flex-wrap: wrap;
            justify-content: center;

            .media-link {
                display: block;
                position: relative;
                width: 100%;
                margin: 0 0 15px 0;

                .Image {
                    display: block;
                    max-width: 100%;
                    height: auto;
                }

                .Icon {
                    @include play-icon;
                    position: absolute;
                    z-index: 10;
                    top: 50%;
                    left: 50%;
                    transform: translate(-50%, -50%);
                }

                &:hover .Icon {
                    color: $white;
                    background: $blue;
                }
            }
        }

        // First item
        &:first-child {
            padding-top: 130px;

            @media #{$tablet-wide} {
                padding-top: 100px;
            }
        }

        @media #{$tablet} {
            &--mediagroup {
                padding: 0 15px 15px 15px;

                .media-link {
                    width: 50%;
                    margin: 0;
                    padding: 12px;
                }
            }
        }

        @media (min-width: 1100px) {
            // pass
            &--mediagroup {
                .media-link {
                    width: 33.33%;
                }
            }
        }
    }
}

.MediaViewModal {
    .Modal__close {
        display: none;
    }
}
